#ifndef RT_ASSETC_ASSETMETA_H
#define RT_ASSETC_ASSETMETA_H

#include "runtime/file_tab.h"
#include "runtime/assets.h"

#include <stdbool.h>

/* Metadata for assets used only by assetc */
typedef struct {
    uint64_t last_changed;
    uint64_t compiled_ts;
    uint32_t processing_flags;
} rt_assetmeta;

rt_result rtLoadAssetMeta(void);

rt_result rtSaveAssetMeta(void);

/* The UID map associates processed files with generated asset uids. */
void rtAddUIDMapping(rt_file_id fid, rt_uid uid, const rt_assetmeta *meta);

/* Returns true if the asset is found. false otherwise */
bool rtGetAssetMeta(rt_file_id source_file, rt_assetmeta *meta);

rt_uid rtLookupUID(rt_file_id fid);

#endif
