#ifndef RT_ASSETC_OPTIONS_H
#define RT_ASSETC_OPTIONS_H

#include "runtime/assets.h"

typedef enum {
    /* No optimization */
    RT_ASSET_OPTIMIZATION_NONE,

    /* Create small assets */
    RT_ASSET_OPTIMIZATION_SPACE,

    /* Create assets for fast execution */
    RT_ASSET_OPTIMIZATION_PERFORMANCE,
} rt_asset_optimization_level;

/* Options parsed from command line arguments */
typedef struct {
    const char *root_directory;
    rt_renderer_backend_code renderer_backend;
    rt_asset_optimization_level optimization;
} rt_assetc_options;

#ifndef RT_ASSETC_DONT_DEFINE_OPTIONS_GLOBAL
extern rt_assetc_options g_assetc_options;
#endif

#endif
